/* Just a few simple macros to simply the work of writing out configuration settings. */

/* writes out " substring = " var into out */

#define write_boolean(out,string,var) \
  if (var == FALSE) \
     snprintf(out, MAX_STRING_SIZE, " %s = false\n", string); \
  else \
     snprintf(out, MAX_STRING_SIZE, " %s = true\n", string)

#define write_string(out,string,string2) \
  snprintf(out, MAX_STRING_SIZE, "%s = %s\n", string, string2)

#define write_int(out,string,number) \
  snprintf(out, MAX_STRING_SIZE, "%s = %i\n", string, number)

